Subject: bug#64131: closed (Re: bug#64131: make resolving symlinks in compilation-find-file optional)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 09 Jun 2024 22:26:03 +0000

Your bug report

#64131: make resolving symlinks in compilation-find-file optional

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64131: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64131
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64131: make resolving symlinks in compilation-find-file optional
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 9 Jun 2024 16:59:10 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> From: Stefan Kangas <[email-masked]>
>> Date: Wed, 10 Jan 2024 02:39:33 -0800
>>
>> Qiang <[email-masked]> writes:
>>
>> > Without that tiny modification, I have problem jump to the file in my
>> > git-annex folder, it jump to the actual database folder, what I want
>> > to the folder that have the symlink. I think it should be the default.
>> >
>> > People use symlinks to organize text documents, a file may have links
>> > in different dirs. For example, if we use dirs as catalogues, when a
>> > file is opened following the search result in a "rg" buffer, it would
>> > be convenient to jump to the catalogue by just M-x "dired". However,
>> > the current behavior is to jump to the dir that has the symlink
>> > destination file. For people using git-annex, the symlink destination
>> > dir could be a database dir, and it is not supposed to be accessed
>> > directly.
>>
>> Could you provide a recipe for how to test this, for someone that
>> doesn't use git-annex but would be happy to install it?
>>
>> Or even better, could you produce a recipe that doesn't rely on
>> git-annex?
>
> It is possible that this issue was resolved while solving bug#67930,
> so I suggest that the OP tries the current master branch to see if the
> problem still exists.

More information was requested, but none was given within 5 months, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Subject: make resolving symlinks in compilation-find-file optional
From: Qiang Fang <[email-masked]>
To: "bug-gnu-emacs" <[email-masked]>
Date: Sat, 17 Jun 2023 21:18:49 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I use rg for searching in a git-annex repo, rg use compilation-find-file to jump to the file from the search result, symlinks are resolved with file-truename. But it should not resolve the symlink in the above case. See this issue for more details.

https://github.com/dajva/rg.el/issues/156#issuecomment-1595654224